@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap');
/*@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');*/
.fa, .fas, .fab {
  display: inline-block;
  text-rendering: optimizeLegibility;
	font-smooth: always;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.dark-mode{
    background-color: #000000;
    color:rgba(255,255,255,.87);
}
main{
    background-color: rgba(0, 0, 0, .04);
    padding-top:1rem;
    min-height:100%;
}
.dark-mode main{
    background-color: rgba(255, 255, 255, .08);
}
html {
  height:100%;
  font-size: 16px;
}
body {
    height:100%;
    padding-top: 3.3rem;
  font-family: "Noto Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.3125;
  -webkit-font-smoothing: antialiased;
  /* Fix for webkit rendering */
  -webkit-text-size-adjust: 100%;
}
.popover{
  font-family: "Noto Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}
body, .navbar, .card {
  transition: background-color 0.25s ease;
}
/* Modal */
.dark-mode .modal-backdrop {
  background-color: #FFF;
}
.dark-mode .modal-backdrop.show {
  opacity: 0.2;
}

.dark-mode .modal-content {
	background-color: #000000;
	border: 1px solid rgba(255, 255, 255, 0.2);
}
.dark-mode .modal-header {
	border-bottom: 1px solid #272421;
}
.dark-mode .close {
color: #fff;
text-shadow: 0 1px 0 #000;
}
/* Dropdown */
.dark-mode .dropdown-menu {
	background-color: #000000;
}
.dark-mode .dropdown-item {
	color: #FFFFFF;
}
.dark-mode .dropdown-item:hover, .dark-mode .dropdown-item:focus {
	color: #FFFFFF;
	text-decoration: none;
	background-color: #212529;
}
.dark-mode .dropdown-item.active, .dark-mode .dropdown-item:active {
    background-color: #007bff;
}
.dropdown-item-checked::before {
  position: absolute;
  left: .4rem;
  content: '\2713';
  font-weight: 600;
}
.custom-control.custom-checkbox.dropdown-item{
    padding-left: 3rem;
}
/* popover */
.dark-mode .popover {
  background-color: #000;
  border: 1px solid rgba(255,255,255,0.2);
}
.dark-mode .popover-body {
  color: #DEDAD6;
}
.dark-mode .popover-header {
  background-color: #121212;
  border-bottom: 1px solid rgba(255,255,255,0.1);
}
.dark-mode .bs-popover-right .arrow:before{
  border-right-color: rgba(255,255,255,0.2);
}
.dark-mode .bs-popover-top .arrow:before{
  border-top-color: rgba(255,255,255,0.2);
}
.dark-mode .bs-popover-left .arrow:before{
  border-left-color: rgba(255,255,255,0.2);
}
.dark-mode .bs-popover-bottom .arrow:before{
  border-bottom-color: rgba(255,255,255,0.2);
}
.dark-mode .bs-popover-bottom .arrow:after {
    border-bottom-color: #141414;
}
.dark-mode .bs-popover-left .arrow:after {
    border-left-color: #141414;
}
.dark-mode .bs-popover-right .arrow:after {
    border-right-color: #141414;
}
.dark-mode .bs-popover-top .arrow:after {
    border-top-color: #141414;
}

.dark-mode .bs-popover-bottom .popover-header::before, .bs-popover-auto[x-placement^="bottom"] .popover-header::before {
  border-bottom: 1px solid #141414;
}


.card{
	background-color: #fafafa;
}
.dark-mode .card{
	background-color: #212121;
	border: 1px solid rgba(33, 33, 33, .87);
}
.dark-mode .card-header{
    background-color: rgba(255, 255, 255, .05);
    color:rgba(255,255,255,.87);
}
.dark-mode .card-footer{
    background-color: rgba(255, 255, 255, .05);
    color:rgba(255,255,255,.87);
}
.dark-mode .card-body{
    color:rgba(255,255,255,.87);
}

.dark-mode .form-control:hover {
    border-color: rgba(0,0,0,.4);
}
.dark-mode .form-control, .dark-mode .form-control:hover {
    color: rgba(255,255,255,.8);
    background-color: rgba(255,255,255,.05);
    border: 1px solid #333333;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/* swal */
.swal-overlay {
  background-color: rgba(0, 0, 0, 0.2);
}

.dark-mode .swal-overlay, .dark-mode .swal2-container.swal2-backdrop-show, .dark-mode .swal2-container.swal2-noanimation {
  background-color: rgba(255, 255, 255, 0.2);
}
.swal-modal {
  border: 0.1rem solid #9e9e9e;
  background-color: #fafafa;
}
.dark-mode .swal-modal, .dark-mode .swal2-popup {
  background-color: #212121;
}
.dark-mode .swal-title, .dark-mode .swal2-title {
  color: rgba(255,255,255,.65);
}
.swal-text {
  font-size: 1.2rem;
color: #212121;
}
.swal-footer {
text-align: center;
}
.dark-mode .swal-text, .dark-mode .swal2-content {
  color: #bdbdbd;

}
.swal-button {
background-color: #45a3fb;
border-color: #45a3fb;
box-shadow: 0 .2rem 0 rgba(0,0,0,.05);
  border-radius: 0.1rem;
  font-size: 1.2rem;
}

.dark-mode .swal-button {
background-color: #45a3fb;
border-color: #45a3fb;
}


/* callout */
.callout {
  padding: 1.25rem;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  border: 1px solid #eee;
  border-left-width: .25rem;
  border-radius: .25rem;
}
.dark-mode .callout {
  border: 1px solid #333;
  border-left-width: .25rem;
}

.callout h4 {
  margin-top: 0;
  margin-bottom: .25rem;
}

.callout p:last-child {
  margin-bottom: 0;
}

.callout code {
  border-radius: .25rem;
}

.dark-mode .callout-info, .callout-info {
  border-left-color: #5bc0de;
}

.dark-mode .callout-warning, .callout-warning {
  border-left-color: #f0ad4e;
}

.dark-mode .callout-danger, .callout-danger {
  border-left-color: #d9534f;
}
/* card */
.card-primary.card-outline {
  border-top: 3px solid #007bff;
}
.card-secondary.card-outline {
  border-top: 3px solid #6c757d;
}
.card-success.card-outline {
  border-top: 3px solid #28a745;
}
.card-info.card-outline {
  border-top: 3px solid #17a2b8;
}
.card-warning.card-outline {
  border-top: 3px solid #ffc107;
}
.card-danger.card-outline {
  border-top: 3px solid #dc3545;
}
.card-light.card-outline {
  border-top: 3px solid #f8f9fa;
}
.card-dark.card-outline {
  border-top: 3px solid #343a40;
}
.card-lightblue.card-outline {
  border-top: 3px solid #3c8dbc;
}
.card-navy.card-outline {
  border-top: 3px solid #001f3f;
}
.card-olive.card-outline {
  border-top: 3px solid #3d9970;
}
.card-lime.card-outline {
  border-top: 3px solid #01ff70;
}
.card-fuchsia.card-outline {
  border-top: 3px solid #f012be;
}
.card-maroon.card-outline {
  border-top: 3px solid #d81b60;
}
.card-blue.card-outline {
  border-top: 3px solid #007bff;
}
.card-indigo.card-outline {
  border-top: 3px solid #6610f2;
}
.card-purple.card-outline {
  border-top: 3px solid #6f42c1;
}
.card-pink.card-outline {
  border-top: 3px solid #e83e8c;
}
.card-red.card-outline {
  border-top: 3px solid #dc3545;
}
.card-orange.card-outline {
  border-top: 3px solid #fd7e14;
}
.card-yellow.card-outline {
  border-top: 3px solid #ffc107;
}
.card-green.card-outline {
  border-top: 3px solid #28a745;
}
.card-teal.card-outline {
  border-top: 3px solid #20c997;
}
.card-cyan.card-outline {
  border-top: 3px solid #17a2b8;
}
.card-white.card-outline {
  border-top: 3px solid #ffffff;
}
.card-gray.card-outline {
  border-top: 3px solid #6c757d;
}
.card-gray-dark.card-outline {
  border-top: 3px solid #343a40;
}
.card-title {
    float: left;
    font-size: 1.125rem;
    font-weight: 600;
    margin: 0;
}
.app-small-icon{
    width:2rem;
    height:2rem;
    line-height: 2rem;
}
.carousel-inner img {
  margin: auto;
}
.carousel-indicators li {
  width: 0.8rem;
  height: 0.8rem;
  border-radius: 100%;
}

.img-thumbnail {
  max-width:200px;
}

.dark-mode .img-thumbnail {
  background-color: #000;
  border: 1px solid #121e1a;
}


.header_icon {
}
.windows {
  color: #00a2ed;
}
.android {
  color: #a4c639;
}

.btn-windows {
  color: #fff;
  background-color: #00a2ed;
  border-color: #0062cc;
}

.btn-windows:hover {
  color: #fff;
  background-color: #00a2ed;
  border-color: #007bff;
}

.btn-windows:focus, .btn-primary.focus {
  color: #fff;
  background-color: #00a2ed;
  border-color: #007bff;
  box-shadow: 0 0 0 0.2rem rgba(38, 143, 255, 0.5);
}

.btn-android {
  color: #000;
  background-color: #a4c639;
  border-color: #1e7e34;
}

.btn-android:hover {
  color: #000;
  background-color: #a4c639;
  border-color: #28a745;
}

.btn-android:focus, .btn-android.focus {
  color: #000;
  background-color: #a4c639;
  border-color: #28a745;
  box-shadow: 0 0 0 0.2rem rgba(72, 180, 97, 0.5);
}

.pali-text {
    font-style: italic;
}
.nla::after {
    content: "\a";
    white-space: pre;
}
